Commit 678235dc authored by Matt Harbison's avatar Matt Harbison

packaging: add a requirements list for CentOS 7

This platform needs to be special cased because QScintilla is now linking
against a newer C library than is available by default.

    ImportError: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by PyQt5/Qsci.abi3.so)

That error triggered an application update check, which triggered a flood of
warnings about OpenSSL symbols, and then a qt.network.ssl warning about an
incompatible version of OpenSSL.  This requires rolling back PyQt5 to something
compatible with 1.0.x, which necessitates rolling back QScintilla a bit further.
The Qt blog says 5.12.4 added support for OpenSSL 1.1.1[1], but experimentation
shows that 5.12.3 also has it.  Using 1.0.2 means there is no TLS 1.3 support.

[1] https://www.qt.io/blog/2019/06/17/qt-5-12-4-released-support-openssl-1-1-1

--HG--
branch : stable
parent 91aea2fdba0a
Pipeline #12896 passed with stage
in 31 minutes and 51 seconds
#
# This file is autogenerated by pip-compile
# To update, run:
#
# pip-compile --generate-hashes --output-file=contrib/packaging/venv_py3/requirements-centos7.txt contrib/packaging/venv_py3/requirements.txt.in contrib/packaging/venv_py3/requirements-centos7.txt.in
#
iniparse==0.5 \
--hash=sha256:88ca60473b1637055a937933d48840be1b1b6835f381a6158ef118a532583675 \
--hash=sha256:932e5239d526e7acb504017bb707be67019ac428a6932368e6851691093aa842 \
--hash=sha256:db6ef1d8a02395448e0e7b17ac0aa28b8d338b632bbd1ffca08c02ddae32cf97 \
# via -r contrib/packaging/venv_py3/requirements.txt.in
mercurial==5.6 \
--hash=sha256:1070bf3d172772f0dc1dc68496ba69beb1f471c7acf6e3de3ac26e1a353ad57b \
--hash=sha256:15962f925e942636e63af4d0d522fbf2c6f0d58ce2a6731ce58b9772656489f5 \
--hash=sha256:39832fe21e66a00cd7c72013c6f170b4a6faf8e9d0e4f588770346732ff77e35 \
--hash=sha256:3d397fa00a1f26ac286a47c9d5349ef637f886737a5ffba674ce0c2f6ee05af2 \
--hash=sha256:8f98d1dd06eb003df76b7d433bd1a828013449395c8613066b0dda913e77953e \
--hash=sha256:98ea50b331059c662cb25647151b57e65659252796feced10294373ecfd189fe \
--hash=sha256:dfa7b3b5082783763710504f242ec487a5d801dc4bcd701cdad4b6ffc1f062c2 \
--hash=sha256:dfe66e3b1ca33f0397ab4bcb6c80c3c1c787b62c390e06e2b933e67d06fe5d92 \
--hash=sha256:fd9589367966ade047e7140807c8d7a85bd9f983fc747d2fca1ce6430f902c5a \
# via -r contrib/packaging/venv_py3/requirements.txt.in
pygments==2.7.2 \
--hash=sha256:381985fcc551eb9d37c52088a32914e00517e57f4a21609f48141ba08e193fa0 \
--hash=sha256:88a0bbcd659fcb9573703957c6b9cff9fab7295e6e76db54c9d00ae42df32773 \
# via -r contrib/packaging/venv_py3/requirements.txt.in
pyqt5-sip==12.8.1 \
--hash=sha256:0304ca9114b9817a270f67f421355075b78ff9fc25ac58ffd72c2601109d2194 \
--hash=sha256:0cd969be528c27bbd4755bd323dff4a79a8fdda28215364e6ce3e069cb56c2a9 \
--hash=sha256:2f35e82fd7ec1e1f6716e9154721c7594956a4f5bd4f826d8c6a6453833cc2f0 \
--hash=sha256:30e944db9abee9cc757aea16906d4198129558533eb7fadbe48c5da2bd18e0bd \
--hash=sha256:34dcd29be47553d5f016ff86e89e24cbc5eebae92eb2f96fb32d2d7ba028c43c \
--hash=sha256:5a011aeff89660622a6d5c3388d55a9d76932f3b82c95e82fc31abd8b1d2990d \
--hash=sha256:6c1ebee60f1d2b3c70aff866b7933d8d8d7646011f7c32f9321ee88c290aa4f9 \
--hash=sha256:7b81382ce188d63890a0e35abe0f9bb946cabc873a31873b73583b0fc84ac115 \
--hash=sha256:832fd60a264de4134c2824d393320838f3ab648180c9c357ec58a74524d24507 \
--hash=sha256:84ba7746762bd223bed22428e8561aa267a229c28344c2d28c5d5d3f8970cffb \
--hash=sha256:9312ec47cac4e33c11503bc1cbeeb0bdae619620472f38e2078c5a51020a930f \
--hash=sha256:a1b8ef013086e224b8e86c93f880f776d01b59195bdfa2a8e0b23f0480678fec \
--hash=sha256:a29e2ac399429d3b7738f73e9081e50783e61ac5d29344e0802d0dcd6056c5a2 \
--hash=sha256:b6d42250baec52a5f77de64e2951d001c5501c3a2df2179f625b241cbaec3369 \
--hash=sha256:bb5a87b66fc1445915104ee97f7a20a69decb42f52803e3b0795fa17ff88226c \
--hash=sha256:c317ab1263e6417c498b81f5c970a9b1af7acefab1f80b4cc0f2f8e661f29fc5 \
--hash=sha256:c9800729badcb247765e4ffe2241549d02da1fa435b9db224845bc37c3e99cb0 \
--hash=sha256:c9d6d448c29dc6606bb7974696608f81f4316c8234f7c7216396ed110075e777 \
--hash=sha256:da9c9f1e65b9d09e73bd75befc82961b6b61b5a3b9d0a7c832168e1415f163c6 \
--hash=sha256:ed897c58acf4a3cdca61469daa31fe6e44c33c6c06a37c3f21fab31780b3b86a \
--hash=sha256:f168f0a7f32b81bfeffdf003c36f25d81c97dee5eb67072a5183e761fe250f13 \
# via pyqt5
pyqt5==5.12.2 \
--hash=sha256:06cb9a1ea1289ca2b2d81f9a2da44a05029d5b4d36fa47b6a0c0b9027ff03fef \
--hash=sha256:44b263f395045eb5bba34f4df2d269e07b1e073fd359645b022943dd1accadfd \
--hash=sha256:bb4ec5583baa18f741ec6c229489dc1910290d4ce4d6756a2ea062f7bf6456e6 \
--hash=sha256:c168a8883bbe7877809c3239c5dcfb9e8de5fe7e8e828c8add7e4f77cc8fc02a \
# via -r contrib/packaging/venv_py3/requirements.txt.in, -r contrib/packaging/venv_py3/requirements-centos7.txt.in, qscintilla
qscintilla==2.11.2 \
--hash=sha256:4994b68265b783b413e2b5d1acfe08bf057f025a47019a9a2ee7cf063d3a8e51 \
--hash=sha256:4bfcd2f273222b26505792d1cb99626aee16835b62c8154817b540864f509274 \
--hash=sha256:7307a888a002b16b559cc93f0b0058a4dbf3d50384857191f27d23cfd79a6fb3 \
--hash=sha256:a57e71c16f5b29df58c6c2fb71b3f5d0a2a6a8561466e3fb57714d737e2a436e \
# via -r contrib/packaging/venv_py3/requirements.txt.in, -r contrib/packaging/venv_py3/requirements-centos7.txt.in
six==1.15.0 \
--hash=sha256:30639c035cdb23534cd4aa2dd52c3bf48f06e5f4a941509c8bafd8ce11080259 \
--hash=sha256:8b74bedcbbbaca38ff6d7491d76f2b06b3592611af620f8426e82dddb04a5ced \
# via iniparse
# 2.11.5 links against a newer libc than is available on CentOS 7
# 2.11.4 wants Qt_5.14
# 2.11.3 wants Qt_5.13
# 2.11.2 wants Qt_5.12
QScintilla==2.11.2
# python -c 'from PyQt5 import QtNetwork; print(QtNetwork.QSslSocket.sslLibraryBuildVersionString())'
# 5.14 links against OpenSSL 1.1.1d 10 Sep 2019
# 5.13 links against OpenSSL 1.1.1b 26 Feb 2019
# 5.12.3 links against OpenSSL 1.1.1g 21 Apr 2020
# 5.12.2 links against OpenSSL 1.0.2k-fips 26 Jan 2017
PyQt5==5.12.2
# If this module breaks in a future version, this version seems to work.
# PyQt5-sip==12.8.1
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment